<template>
  <div class="notice">
    <div class="container">
      <div class="notice-head">
        <img @click="$router.go(-1)" src="../assets/images/icons/back.svg" alt="">
        <p class="title">Уведомления</p>
      </div>
      <p class="blue" style="margin-bottom: 18px">Отметить прочитанными</p>
      <div class="notice-card-wrap">
        <div
          v-for="(card, i) in cards"
          :key="i + '-' + card.id"
          class="notice-card"
          @click="selectCard(i)"
        >
          <div class="card-head">
            <p>{{card.name}}</p>
            <p class="subtitle">{{card.time}}</p>
            <img :class="{'card-active':card.show}" src="../assets/images/icons/arrow-black-up.svg" alt="">
          </div>
          <div v-if="card.show" class="notice-card-text-wrap">
            <p class="subtitle">{{card.content}}</p>
          </div>
        </div>
      </div>
    </div>
    <ModalBottom
      v-show="modalBottom"
      @close="modalBottom = false"
    >
      <template #body>
        <div class="container">
          <p class="title">{{cards[selectedCard].name}}</p>
          <div class="subtitle">22.03.2022, 19:28</div>
          <div class="modal-content-text">
            <p>Ваша регистрация завершена успешно!Спасибо, что выбрали нас, мы вас не подведём!</p>
            <p>Теперь вы можете подавать объявления о рекламе или продаже аккаунта.</p>
            <p>Используйте наш севрис с умом, также помните про внутренние правила площадки.</p>
            <p>Ваша команда 2Tap.</p>
          </div>
        </div>
      </template>
    </ModalBottom>
  </div>
</template>

<script>
import ModalBottom from "../components/Modal-bottom";
export default {
  name: "notice",
  components: {ModalBottom},
  data () {
    return {
      cards: [
        {name: 'Спасибо за регистрацию!', time: '22.03.2022', id: 1, show: false, content: 'Здесь должен быть какой-то текст'},
        {name: 'Объялвение успешно размещено', time: '22.03.2022', id: 2, show: false, content: 'Здесь должен быть какой-то текст'},
        {name: 'Вам прислали сообщение', time: '22.03.2022', id: 3, show: false, content: 'Здесь должен быть какой-то текст'},
        {name: 'Объявление не опубликованно', time: '22.03.2022', id: 4, show: false, content: 'Здесь должен быть какой-то текст'}
      ],
      selectedCard: 0,
      modalBottom: false
    }
  },
  methods: {
    selectCard (id) {
      if (document.body.style.overflow === '' || document.body.style.overflow === 'visible' && !this.modalBottom) {
        document.body.style.overflow = 'hidden'
        this.selectedCard = id
        this.modalBottom = true
      }
    }
  }
}
</script>

<style scoped lang="scss">
.notice {
  padding-bottom: 100px;
  height: 100vh;
  .container {
    .notice-head {
      display: flex;
      margin-bottom: 40px;
      p {
        width: 100%;
        text-align: center
      }
    }
    .notice-card-wrap {
      .notice-card {
        margin: 8px 0;
        padding: 16px 30px 16px 16px;
        background: #FFFFFF;
        box-shadow: 8px 8px 20px rgba(0, 0, 0, 0.1);
        border-radius: 12px;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        position: relative;
        .card-head {
          p {
            line-height: 120%;
            &:first-child {
              margin-bottom: 16px;
              font-weight: 700;
              font-size: 16px;
            }
            &:last-child {
              font-weight: 400;
              font-size: 14px;
            }
          }
          img {
            position: absolute;
            right: 32px;
            top: calc(50% - 8px);
            transition: all 0.4s;
          }
          img.card-active {
            transform: rotate(90deg);
            float: right;
          }
        }
        .notice-card-text-wrap {
          margin-top: 20px;
          padding-left: 12px;
        }
      }
    }
  }
}
.modal-body {
  line-height: 120%;
  .title {
    font-weight: 700;
    font-size: 18px;
    text-align: left;
    margin-bottom: 8px;
  }
  .subtitle {
    text-align: left;
    margin-bottom: 24px;
  }
  .modal-content-text {
    p {
      margin-bottom: 24px;
      font-weight: 400;
      font-size: 16px;
      line-height: 130%;
      color: #000000;
      text-align: left;
    }
  }
}
</style>
